#!/usr/bin/env python
# setup.py generated by flit for tools that don't yet use PEP 517

from distutils.core import setup

packages = \
['snooty', 'snooty.builders', 'snooty.gizaparser']

package_data = \
{'': ['*'], 'snooty': ['plugins/*']}

install_requires = \
['pymongo[srv,tls] >= 3.11.1, < 4',
 'docutils >= 0.16, < 0.18',
 'watchdog ~= 1.0',
 'requests ~= 2.24',
 'toml ~= 0.10',
 'pyyaml ~= 5.3',
 'typing-extensions >= 3.7',
 'python-jsonrpc-server ~= 0.3.4',
 'fett ~= 0.3.2',
 'networkx >= 2.4, < 3',
 'docopt ~= 0.6.2']

extras_require = \
{'dev': ['black ~= 21.12b0',
         'pyflakes ~= 2.4',
         'mypy == 0.930',
         'pyinstaller ~= 4.7',
         'isort ~= 5.10.1',
         'types-requests ~= 2.26.1',
         'types-toml ~= 0.10.1'],
 'test': ['pytest ~= 6.2.5', 'pytest-cov ~= 3.0.0']}

entry_points = \
{'console_scripts': ['snooty = snooty.main:main']}

setup(name='snooty-lextudio',
      version='1.12.0',
      description="The Snooty documentation writer's tool.",
      author='MongoDB, inc.',
      author_email='i80and@foxquill.com',
      url='https://github.com/vscode-restructuredtext/snooty-parser',
      packages=packages,
      package_data=package_data,
      install_requires=install_requires,
      extras_require=extras_require,
      entry_points=entry_points,
      python_requires='~= 3.7',
     )
